:root {
    --color_1: #FF9800;
    --color_2: white;
    --color_3: #f5f5f5;
    --color_4: #2e3131;
    --color_5: #00000096;
    --color_6: #ff8f46;
    --color_7: #8BC34A;
    --color_success: #146c43;
    --color_danger: red;
}

.clr-orange {
    color: var(--color_1) !important
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

a:hover {
    color: unset;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    -webkit-border-radius: 6px;
    border-radius: 6px;
    background-color: #fff;
}

::-webkit-scrollbar-thumb {
    -webkit-border-radius: 6px;
    border-radius: 6px;
    background-color: #d9dae1;
    min-height: 80px;
}

::-webkit-scrollbar-thumb:window-inactive {
    background-color: #d9dae1;
}

body {
    background-color: var(--color_3);
    font-family: "Ubuntu";
    color: var(--color_4);
}

.overflow_hidden {
    overflow-x: hidden !important;
    overflow-y: hidden !important;
}

a {
    color: var(--color_1);
}

a, a:hover, a:focus {
    text-decoration: none;
}

.btn {
    cursor: pointer;
    font-weight: 600;
    transition: all .3s ease-in-out;
}

.form-control.input_error {
    border: 1px solid red;
}

.form-control:focus {
    border-color: var(--color_4);
    box-shadow: unset !important;
}

.modal-backdrop {
    background-color: var(--color_5);
}

body main {
    padding-top: 81px;
}

body .content {
    display: inline-block;
    min-height: 100vh;
    width: 100%;
    position: relative;
    padding-top: 30px;
}

body .content .note {
    margin-bottom: 30px;
    text-transform: uppercase;
    font-weight: bold;
    letter-spacing: 2px;
}

body .content > section {
    min-height: calc(100vh - 160px);
}

a:hover {
    text-decoration: none;
}

.alert-fixed {
    position: fixed;
    top: 85px;
    right: 2%;
    z-index: 9999;
}

.radio label, .checkbox label {
    width: 100%;
    cursor: pointer;
}

.remove_cart_item {
    font-size: 20px;
    cursor: pointer;
    padding-top: 10px;
    color: var(--color_danger);
}

.row-flex {
    display: flex;
    flex-wrap: wrap;
    row-gap: 20px;
}

@media (max-width: 992px) {
    .row-flex {
        row-gap: 15px;
    }

    .alert-fixed {
        width: 96%;
        font-size: 17px;
    }

    body[data-action-id="cart"] .content .container {
        padding: 0;
    }

    [data-action-id="cart"] .inner-container {
        overflow: hidden;
        background-color: transparent;
        box-shadow: unset;
    }
}

/*HEADER*/
.header {
    position: fixed;
    width: 100%;
    z-index: 1010;
    background-color: #fff;
}

.header nav {
    padding: 10px 0;
    background-color: #fff;
    margin-bottom: 0;
    border-radius: 0;
    border: 0;
}

.header .logo img {
    max-width: 165px;
}

.header .android_app img {
    border-radius: 5px;
    max-width: 140px;
    transition: all .3s ease-in-out;
}

.header .android_app img:hover {
    opacity: 0.8;
    transition: all .3s ease-in-out;
}

.header a.header_btn {
    background-color: var(--color_1);
    color: white;
    text-decoration: none;
    font-size: 18px;
    text-transform: uppercase;
    padding: 7px 15px;
    border-radius: 5px;
    margin-right: 15px;
    transition: all .3s ease-in-out;
    height: 41px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header a.display-header-icon-on-mobile svg {
    display: none;
}

.header a.header_btn:hover {
    background-color: black;
    transition: all .3s ease-in-out;
}

.header .download-app-icon {
    display: none !important;
}

@media (max-width: 992px) {
    .header {
        height: 72px;
    }

    .header a.all_stores {
        margin-right: 0;
        font-size: 14px;
    }

    .header .download-app-icon {
        display: flex !important;
    }
}

/* ./HEADER */

.btn-check:active + .btn-danger:focus, .btn-check:checked + .btn-danger:focus, .btn-danger.active:focus, .btn-danger:active:focus, .show > .btn-danger.dropdown-toggle:focus,
.btn-check:active + .btn-success:focus, .btn-check:checked + .btn-success:focus, .btn-success.active:focus, .btn-success:active:focus, .show > .btn-success.dropdown-toggle:focus,
.btn-check:focus + .btn, .btn:focus {
    box-shadow: none;
}

.company_categories .btn.btn-category {
    margin-left: 5px;
    margin-right: 5px;
    font-size: 14px;
    font-weight: 700;
    text-transform: uppercase;
    padding: 15px 45px;
    color: var(--color_4);
    border: 1px solid #ededed;
    border-radius: 20px;
    box-shadow: rgba(9, 30, 66, 0.25) 0px 4px 8px -2px, rgba(9, 30, 66, 0.08) 0px 0px 0px 1px;
    text-wrap: nowrap;
}

.company_categories .btn.btn-category:hover,
.company_categories .btn.btn-category:focus,
.company_categories .btn.btn-category:active {
    background-color: #eaeaea;
    color: var(--color_4);
    transition: all .3s ease-in-out;
}

.company_categories {
    flex-wrap: wrap;
}

.company_categories h3 {
    font-weight: 900;
    font-size: 34px;
    margin: 40px 0 20px;
}

.company_categories .btn.btn-category.active {
    background-color: var(--color_1);
    color: #fff;
}

.header-cart-holder {
    position: relative;
    width: 150px;
    border: 2px solid var(--color_1);
    padding-left: 10px;
    height: 43px;
    transition: all .3s ease-in-out;
    border-radius: 6px;
}

.header-cart-holder:hover {
    color: white;
    background-color: var(--color_1);
    transition: all .3s ease-in-out;
}

.header-cart-holder .header-cart-price {
    font-weight: bold;
    color: black;
}

.header-cart-holder svg {
    padding: 2px;
    position: absolute;
    right: 10px;
}

.header-cart-holder .cart-qty {
    font-size: 11px;
    color: #fff;
    background-color: var(--color_1);
    border-radius: 500px;
    position: absolute;
    top: 3px;
    right: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 18px;
    height: 18px;
    border: 1px solid #fff;
    transition: all .3s ease-in-out;
}

.modal-content {
    border: 0;
}

@media (max-width: 1200px) {

    .header a.display-header-icon-on-mobile {
        width: 40px;
        height: 40px;
        padding: 5px;
        color: #fff;
        margin-right: 0;
    }

    .header a.display-header-icon-on-mobile svg {
        height: 20px;
        width: 20px;
    }

    .header-cart-holder {
        width: 53%;
        height: 50px;
        position: fixed;
        border-radius: 20px;
        bottom: 15px;
        border: unset;
        right: 2%;
        box-shadow: rgba(0, 0, 0, 0.2) 3px 3px 10px 0px;
        z-index: 101;
        background-color: #fff;
        padding-left: 14px;
    }

    .header-cart-holder .cart-qty {
        top: 10px;
        right: 10px;
    }
}

.banners .banner_thumb {
    position: relative;
}

.banners .banner_thumb .banner_text {
    position: absolute;
    color: white;
    font-weight: 800;
    font-size: 22px;
    text-shadow: 3px 3px black;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    padding: 2% 5%;
}

.banners .banner_thumb .banner_text p {
    margin: 0;
}

.banners.owl-carousel .owl-item {
    border: 1px solid #e5e5e5;
    background-color: #fff;
    border-radius: 10px;
    padding: 10px;
}

.banners.owl-carousel .owl-item img {
    display: block;
    border-radius: 9px;
    width: 100%;
}

.company_categories {
    margin-bottom: 20px;
}

.company_categories .company_categories_thumb {
    position: relative;
    opacity: 0.7;
    cursor: pointer;
}

.company_categories .company_categories_thumb.active {
    opacity: 1;
}

.company_categories.owl-carousel .owl-item img {
    display: block;
    border-radius: 9px;
    width: 100%;
    border: 1px solid #7f7f7f;
}

.company_categories .company_categories_thumb .thumb_text {
    position: absolute;
    z-index: 9;
    bottom: 0px;
    font-size: 15px;
    font-weight: 700;
    text-shadow: 2px 2px black;
    letter-spacing: 2px;
    width: 100%;
    text-align: center;
}

.company_thumb {
    border: 1px solid #e5e5e5;
    background-color: #fff;
    border-radius: 10px;
    padding: 10px 10px 6px 10px;
}

.company_thumb_main.noactive {
    display: none;
}

.delivery_info {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    margin-left: -4px;
    margin-right: -4px;
}

.company_thumb .delivery_info span {
    background-color: #eaeaea;
    color: var(--color_4);
    display: inline-flex;
    justify-content: center;
    border-radius: 5px;
    margin: 4px;
    font-weight: 900;
    padding: 4px 5px;
    flex-grow: 1;
    transition: all .3s ease-in-out;
    font-size: 14px;
}

.company_thumb .title {
    text-transform: uppercase;
    background-color: var(--color_1);
    color: #fff;
    padding: 5px 15px;
    font-weight: 700;
    font-size: 16px;
    border-radius: 0 0 5px 5px;
    margin-bottom: 10px;
    transition: all .3s ease-in-out;
}

.company_thumb:hover .title,
.company_thumb:focus .title,
.company_thumb:active .title {
    background-color: #eaeaea;
    color: var(--color_4);
    transition: all .3s ease-in-out;
}

.company_thumb:hover .delivery_info span {
    background-color: var(--color_1);
    color: #fff;
    transition: all .3s ease-in-out;
}

.company_thumb.disabled:hover .delivery_info span {
}

.company_thumb img {
    width: 100%;
}

.company_thumb .image {
    transition: all .3s ease-in-out;
}

.company_thumb:hover .image,
.company_thumb:focus .image,
.company_thumb:active .image {
    opacity: 0.8;
    transition: all .3s ease-in-out;
}

.company_thumb.disabled {
    cursor: not-allowed;
    opacity: 0.5;
}

.company_thumb .image {
    position: relative;
}

.company_thumb .image img {
    border-radius: 5px 5px 0 0;
}

.company_thumb .logo_bedge {
    position: absolute;
    z-index: 9;
    width: 43px;
    bottom: 6px;
    left: 6px;
    border-radius: 5px;
    overflow: hidden;
}

.company_thumb .rate {
    position: absolute;
    right: 0;
    padding: 5px;
    color: #fff;
    background-color: var(--color_7);
    font-weight: 600;
    border-radius: 0 4px 0 5px;
    display: flex;
    align-items: center;
}

.company_thumb .rate .bi {
    margin-left: 3px;
}

/** ./HOME **/
/** MENU **/
.content .company_header {
    background-size: contain;
    padding-top: 36px;
    border-radius: 10px;
    margin-bottom: 15px;
    position: relative;
    overflow: hidden;
    height: 170px;
}

.content .company_header .overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.4);
    z-index: 0;
}

.content .company_header .company_title {
    text-transform: uppercase;
    font-size: 25px;
    padding: 5px;
    font-weight: bold;
    letter-spacing: 6px;
    position: relative;
    color: white;
}

.content .company_header .company_image {
    position: relative;
}

.content .company_header .company_image img {
    width: 85px;
    border-radius: 10px;
}

.content #navbar-categories {
    background-color: transparent;
    display: flex;
    overflow: hidden;
    flex-wrap: wrap;
    flex-direction: row;
    align-content: center;
    justify-content: flex-start;
}

#navbar-categories .nav-item {
    display: grid;
    margin: 5px;
}

#navbar-categories .nav-item a {
    font-weight: 700;
    font-size: 14px;
    text-transform: uppercase;
    background-color: white;
    padding: 10px 20px;
    color: var(--color_4);
    border: 1px solid #ededed;
    border-radius: 20px;
    box-shadow: rgba(9, 30, 66, 0.25) 0px 4px 8px -2px, rgba(9, 30, 66, 0.08) 0px 0px 0px 1px;
    text-wrap: nowrap;
}

#navbar-categories a.active, #navbar-categories a:hover {
    background-color: var(--color_1);
    color: #fff;
    transition: all .3s ease-in-out;
}

#navbar-categories .nav-item a h2 {
    font-size: inherit;
    color: inherit;
    font-weight: unset;
    margin-bottom: unset;
}

.product-holder .product-block {
    background: #fff;
    box-shadow: rgb(136 165 191 / 48%) 0px 1px 5px 0px, rgb(255 255 255 / 80%) -6px -2px 16px 0px;
    border-radius: 10px;
    height: 100%;
    position: relative;
    overflow: auto;
}

.product-holder .product-block.disabled {
    pointer-events: none;
    opacity: 0.5;
    cursor: not-allowed;
}

.product-holder .product-block .product-image {
    display: flex;
    justify-content: left;
    align-items: center;
}

.product-holder .product-block .product-image img {
    width: 32%;
    margin: 5px;
    border-radius: 10px;
}

.product-holder .product-block .product-data {
    text-align: left;
    padding: 2px;
    width: 64%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: 20px;
    position: absolute;
    top: 2px;
    right: 0;
    color: black;
    background: white;
}

.product-holder .product-block .product-data .product-info-block {
    padding-top: 15px;
    align-self: flex-start;
}

.product-holder .product-block .product-title {
    font-size: 17px;
    font-weight: bold;
}

.product-holder .product-block .product-data .product-description {
    font-size: 15px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    margin-bottom: 0;
    padding-right: 5px;
}

.product-holder .product-block .product-price {
    text-align: center;
    font-weight: 700;
    color: var(--color_1);
    display: block;
    font-size: 16px;
    position: absolute;
    right: 11px;
    padding: 0;
    bottom: 7px;
    top: unset;
    background-color: transparent;
}

.content .category_products .category-title {
    display: none;
}

@media (max-width: 992px) {

    .content .company_header {
        background-size: cover;
    }

    .content #navbar-categories {
        position: sticky;
        will-change: transform;
        flex-wrap: nowrap;
        align-items: stretch;
        border: 0;
        overflow-x: scroll;
        padding-top: 10px;
        padding-bottom: 10px;
        padding-left: 14px;
        top: 67px;
        z-index: 9;
        background-color: white;
    }

    body.active-sticky #navbar-categories {
        background-color: var(--color_3);
    }

    #navbar-categories .nav-item {
        margin: 2px;
    }

    #navbar-categories .nav-item a {
        font-size: 10px;
    }

    .content .category_products .category-title {
        display: block;
        text-align: left;
        font-weight: bold;
        font-size: 18px;
    }

    .product-holder .product-block .product-data .product-info-block {
        padding-top: 0;
    }

    .product-holder .product-block .product-title {
        font-size: 13px;
        padding-bottom: 5px;
        margin-bottom: 2px;
    }

    .product-holder .product-block .product-price {
        font-size: 12px;
        right: 6px;
        bottom: 2px;
    }

    .product-holder .product-block .product-data .product-description {
        font-size: 12px;
    }
}

/** ./MENU **/
/** ADMIN PAGE **/
[data-action-id="admin"] label {
    color: var(--color_5);
}

[data-action-id="admin"] .form-control {
    font-size: 15px;
    box-shadow: unset;
}

[data-action-id="admin"] [type="submit"] {
    background-color: var(--color_1);
}

/** ./ADMIN PAGE **/
/** INDEX PAGE **/
[data-action-id="index"] .working_time {
    color: white;
}

[data-action-id="index"] .index_btns {
    padding-top: 15vh;
}

.modal-dialog .modal-content {
    background: var(--color_2);
    color: var(--color_4);
}

.btn_category {
    -webkit-animation: btn_light 3s infinite; /* Safari 4.0 - 8.0 */
    animation: btn_light 3s infinite;
}

.notification {
    background-color: var(--color_3);
    font-weight: 600;
    font-size: 18px;
    color: var(--color_1);
    text-transform: uppercase;
    padding: 40px;

}

.phone_numbers {
    color: orange;
    font-size: 20px;
    margin-top: 5%;
    padding: 10px;
}

.phone .fa.fa-phone {
    color: red;
    font-size: 35px;
    margin-top: 25px;
}

.location {
    position: relative;
    width: 100%;
    margin: auto;
    display: inline-block;
}

.location iframe {
    width: 100%;
    height: 25vh;

}

@media (max-width: 992px) {
    .location {
        width: 100%;
    }

    .location iframe {
        height: 16vh;
    }
}

/** ./INDEX PAGE **/
/** MENU **/
.nav-tabs > li > a {
    white-space: nowrap;
}

.nav-tabs {
    border-bottom: unset;
    display: block;
    overflow: hidden;
    overflow-x: auto;
    margin-bottom: 10px;
}

.nav-tabs::-webkit-scrollbar {
    width: 2px;
    height: 4px;
}

.nav-tabs::-webkit-scrollbar-track {
    background: #f1f1f1;
    width: 2px;
}

.nav-tabs::-webkit-scrollbar-thumb {
    background: var(--color_1);
}

.nav-tabs::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.nav-tabs > li > a {
    border-radius: unset;
}

.nav-tabs a {
    color: var(--color_4);
    font-size: medium;
    background-color: #f1f0ed1a;
    border-radius: unset;
    text-transform: uppercase;
    padding: 7px;
    letter-spacing: 2px;
}

.title h2 {
    color: var(--color_4);
}

.content .login_form, h2 {
    color: var(--color_4);
}

body[data-action-id="admin"] .content {
    min-height: unset;
}

.content .login-container {
    background-color: white;
    min-height: 80vh;
    padding-top: 25vh;
}

.category_products {
    padding-top: 11px;
}

.panel-footer {
    color: white;
    padding: 10px 15px;
    background-color: #f5f5f500;
    border-top: 1px solid #ddd;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
}

.modal-content .panel-primary h6 {
    font-size: 18px;
    font-weight: 400;
}

.list-group-item {
    background: black;
    color: white;
}

.label-default {
    background-color: #77777736;
    padding-right: 10px;
}

.margin_total_price {
    padding: 10px;
}

.margin_total_price > span .label-default {
    background: transparent;
}

.margin_total_price > span {
    background-color: #eaeaea;
    color: var(--color_4);
    font-size: 16px;
    font-weight: 300;
    white-space: nowrap;
    border-radius: 5px;
    margin: 0 5px 5px;
    padding: 5px 10px;
    display: inline-block;
}

.margin_total_price > span:nth-child(3) {
    background-color: var(--color_6);
    color: var(--color_3);
}

.margin_total_price span .label-info span {
    font-weight: 600;
}

@media (max-width: 992px) {
    .category_products {
        padding-top: 0px;
        margin-top: 14px;
    }

    .fixed_side_bar {
        position: relative;
        top: 0px;
        z-index: 9;
        /* padding-top: 90px; */
        margin-top: 31px;
        /* margin-bottom: 20px; */
    }

    .product_thumb .product-price {
        padding: 2px 5px;
        font-size: 14px;
    }

    .mobile_pr_0 {
        padding-right: 0;
    }

    .margin_total_price > span {
        margin-bottom: 5px;
        display: inline-block;
    }

    .nav-tabs {
        border-bottom: unset;
        display: flex;
        overflow: hidden;
        overflow-x: auto;
        margin-bottom: 10px;
    }
}

/** ./MENU **/
/** PRODUCT MODAL **/
.btn-warning {
    background-color: var(--color_1);
}
.product_data_modal .modal-header {
    flex-direction: column;
    border: unset;
    padding: 0px;
}

.product_data_modal .modal-body::-webkit-scrollbar {
    width: 4px;
    border-radius: 10px;
}

.product_data_modal .modal-body::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.product_data_modal .modal-body::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}

.product_data_modal .modal-body::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.product_data_modal .btn-close {
    position: absolute;
    right: 16px;
    top: 21px;
    font-size: 23px;
    z-index: 9999;
    background-color: white;
    border-radius: 22px;
}

.product_data_modal .modal-body {
    padding: 0px;
    max-height: 82vh;
}

.product_data_modal .modal-content {
    border-radius: 10px;
}

.product_data_modal .product_data {
    padding: 15px;
}

.product_data_modal .total_price {
    color: white;
}

.product_data_modal .product-info img {
    width: 100%;
}

.product_data_modal .meal_accessories_holder {
    display: inline-block;
    width: 100%;
}

.product_data_modal .product_data .nav-tabs {
    width: 100%;
    border: 0;
}

.product_data_modal .product_data .label {
    font-weight: bold;
}

.product_data_modal .product_data .form-control:disabled, .product_data .form-control[readonly] {
    width: 100%;
}

.product_data_modal .product_data .required,
.product_data_modal .product_data .checkbox {
    font-size: 14px;
    border-radius: 10px;
    padding: 5px;
    box-shadow: rgba(9, 30, 66, 0.25) 3px 3px 4px -2px, rgba(9, 30, 66, 0.08) 0px 0px 0px 1px;
    cursor: pointer;
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.product_data_modal .product_data .required {
    background-color: var(--color_1);
    font-weight: bold;
}

.product_data_modal .product_data .checkbox label {
    cursor: pointer;
}

.product_data_modal .product_data .checkbox input[type=checkbox] {
    display: none;
}

.product_data_modal .product_data .checkbox.active {
    background-color: #ff1b0a;
    font-weight: bold;
    color: #fff;
}


.product_data_modal .product_data .accesories-list .checkbox.active {
    background-color: var(--color_1);
    color: white;
    font-weight: 500;
}

.product_data_modal .product_data .accesories-list {
    display: flex;
    width: 100%;
}

.product_data_modal .product_data .meal_types > li {
    display: inline-block;
    cursor: pointer;
    padding: 4px 10px;
    background-color: white;
    font-weight: 600;
    color: black;
    width: 100px;
    line-height: 1;
    margin-bottom: 2px;
    box-shadow: rgba(9, 30, 66, 0.25) 0px 4px 8px -2px, rgba(9, 30, 66, 0.08) 0px 0px 0px 1px;
    border-radius: 10px;
}

.product_data_modal .product_data .meal_types > li.selected-meal-dish {
    background-color: var(--color_1);
    color: white;
}

.product_data_modal .product_data .meal_types > li.selected-meal-dish .price {
    color: black;
}

.product_data_modal ul.meal_types {
    margin: 0;
    padding: 0;
    font-size: 13px;
}

.product_data_modal .meal_accessories_holder {
    display: inline-block;
    width: 100%;
}

.quantity_indicators {
    position: relative;
    width: 120px;
    padding: 0 !important;
}

.quantity_indicators .down,
.quantity_indicators .up {
    top: 50%;
    width: 40%;
    transform: translateY(-50%);
    height: 100%;
    color: var(--color_1);
    font-weight: bold;
    font-size: 28px;
    position: absolute;
    padding: 5px;
    cursor: pointer;
    vertical-align: middle;
    display: flex;
    align-items: center;
    justify-content: center;
}

.quantity_indicators .form-control[readonly] {
    background-color: white;
    font-weight: bold;
    border: 2px solid var(--color_1);
}

.quantity_indicators .up:hover, .quantity_indicators .down:hover {
    color: black !important;
}

.quantity_indicators .down {
    left: 0;
}

.quantity_indicators .up {
    right: 0;
}

@media (max-width: 992px) {
    .product_data_modal .modal-footer {
        padding: 10px 3px;
    }

    .product_data_modal .modal-body {
        max-height: 75vh;
    }

    .product_data_modal .product_data .required,
    .product_data_modal .product_data .checkbox {
        font-size: 12px;
    }
}
/** ./PRODUCT DATA **/
/** CART **/
.empty_cart p {
    color: var(--color_4);
}

[data-action-id="cart"] h2 {
    font-weight: bold;
}

.cart-row {
    padding-bottom: 10px;
    padding-top: 10px;
    border-bottom: 1px solid #fcb9414f;
}

.cart-row .product-image img {
    border-radius: 10px;
}

.cart-page {
    background-color: white;
    border-radius: 10px;
}

.form-validation {
    position: absolute;
    top: 4px;
    color: red;
    font-style: italic;
    right: 16px;
}

.cart-holder .btn-confirm {
    border: 0;
    border-radius: 5px;
    margin-bottom: 10px;
    transition: all .3s ease-in-out;
}

.cart-holder .btn-confirm:hover {
    transition: all .3s ease-in-out;
}

.cart-holder .total-price {
    color: var(--color_1);
    font-size: 19px;
}

.cart-holder .cart-price-holder {
    margin-bottom: 11px;
}

.cart-holder a:hover, .cart-holder a {
    color: var(--color_1);
    font-size: 19px;
}

.cart-holder .cart-price-holder {
    margin-bottom: 11px;
}

.cart-holder .label {
    font-weight: bold;
}

[data-action-id="cart"] {
    color: black;
}

[data-action-id="cart"] .glyphicon {
    color: black;
}

.remove_cart_item svg {
    width: 30px;
    height: 30px;
    fill: red;
}

[data-action-id="cart"] .leaflet-bar {
    box-shadow: unset;
}

[data-action-id="cart"] .geoapify-leaflet-control {
    min-width: unset;
    max-width: unset;
    width: 100%;
}

[data-action-id="cart"] .geoapify-clear-button {
    height: 34px;
}

[data-action-id="cart"] .address_input_holder .geocoder-control {
    width: 100%;
    margin-bottom: 10px;
    position: relative;
    z-index: 1100;
}

[data-action-id="cart"] .leaflet-overlay-pane svg g {
    opacity: 0;
}

.leaflet-container {
    z-index: 99;
}

.cart-page .geoapify-form {
    margin-bottom: 15px;
}

.cart-page .company_delivery_map {
    border-radius: 6px;
}

.cart_location_note {
    font-style: italic;
    margin-top: 5px;
    margin-bottom: 5px;
    color: red;
}

.btn-save-order {
    background-color: #8BC34A !important;
    width: 42%;
    border-radius: 10px;
    font-size: 20px;
    padding: 14px;
    color: white;
}

@media (max-width: 992px) {

    .remove_cart_item {
        width: auto;
        position: absolute;
        top: 0px;
        right: 29px;
    }

    .remove_cart_item svg {
        width: 40px;
        height: 40px;
    }

    .btn-save-order {
        width: 100%;
    }

    [data-action-id="cart"] .header-wrapper .cart-holder,
    [data-action-id="success"] .header-wrapper .cart-holder {
        display: none;
    }

    .empty-cart-btn {
        width: 100%;
    }

    .cart-page {
        background-color: unset;
        border-radius: unset;
    }

    .cart-page section {
        background-color: white;
        border-radius: 10px;
        padding: 10px;
    }
}

/** ./CART **/

/** MDOAL DOWNLOAD AND UPDATE APP **/
#modal_update_app {
    margin-top: 20vh;
}
#modal_update_app .modal-dialog{
  max-width: 100%;
}

#modal_download_app .modal-body, #modal_update_app .modal-body {
    padding: 0;
}

#modal_download_app .modal-body img, #modal_update_app .modal-body img {
    width: 100%;
}

#modal_download_app .close, #modal_update_app .close {
    position: absolute;
    right: 0;
    font-size: 29px;
    opacity: 1;
    top: 5px;
    background-color: transparent;
    border: unset;
    color: dimgrey;
}

#modal_download_app .modal-header, #modal_update_app .modal-header {
    border: unset;
    display: inline-block;
    width: 100%;
    height: 40px;
}

.app_image {
    padding-top: 0;
}

footer#mu-footer {
    padding-top: 8px;
    padding-bottom: 10px;
    font-size: 14px;
}

@media (max-width: 992px) {

    .cart_table .quantity_indicators {
        width: 100%;
    }

    .cart_table .td_quantity {
        width: 100% !important;
    }

    .cart_table .image_td {
        width: auto !important;
        display: inline-block !important;
    }

    .cart_table .product_td {
        min-width: auto !important;
        display: inline-block;
        margin-top: 45px;
    }

    .product_data_modal.active {
        position: fixed;
        z-index: 999;
        top: 0px;
        left: 0px;
        height: 100vh;
        overflow-y: auto;
    }

    .product_cart_thumb {
        display: inline-block;
        width: 100%;
        position: relative;
        margin-bottom: 35px;
        margin-top: 10px;
    }

    .product_cart_thumb .remove_cart_item {
        color: var(--color_danger);
        position: absolute;
        top: -18px;
        right: 0;
        font-size: 24px;
    }

    [data-action-id="cart"] .label-warning {
        font-size: 12px;
    }

    .header .android_app img {
        height: 56px !important;
    }

    .header a.display-header-icon-on-mobile span {
        display: none;
    }

    .header a.display-header-icon-on-mobile svg {
        display: block;
    }
}

@media (max-width: 992px) {
    .social_networks {
        margin: 0 5px;
    }
    body main {
        padding-top: 55px;
    }

    .header .logo img {
        max-width: 130px;
    }

    .company_header {
        padding-bottom: 15px;
    }

    .header nav {
        padding: 5px 0;
    }

    .company_categories h3 {
        font-size: 26px;
        margin: 20px 0;
    }

    #navbar-categories a,
    .company_categories .btn.btn-category {
        padding: 6px 10px;
        font-size: 12px;
    }

    .company_categories .btn.btn-category {
        width: calc(50% - 10px);
    }

    .content .company_header .company_image img {
        max-width: 90px;
    }

    .content .company_header .company_title {
        font-size: 16px;
    }
}

.order_review .rating-stars {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.order_review a {
    transition: all .3s ease-in-out;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    padding: 8px;
}

.order_review a svg {
    height: 20px;
    width: 20px;
}

.order_review a:hover {
    transition: all .3s ease-in-out;
}

/** VIEW ORDER **/
.view_order_modal .product_thumb {
    margin-top: 20px;
}

.view_order_modal .product_thumb:not(:last-child) {
    border-bottom: 2px dashed;
}

.view_order_modal .modal-body {
    max-height: 80vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.view_order_modal .total_price {
    color: var(--color_1);
    font-weight: bold;
}
/** ./VIEW ORDER **/

/** SUCCESS PAGE **/
.success_page {
    padding: 15px;
    color: black;
}

.success_page .icon {
    display: inline-block;
    padding: 19px;
    font-size: 57px;
    width: 120px;
    height: 120px;
    background-color: #cddc39;
    border-radius: 51%;
}

.success_page .icon.reject {
    background-color: red;
}

[data-action-id="success"] .inner-container {
    min-height: unset;
    padding-top: 10vh;
    padding-bottom: 10vh;
}

.success_page .btn-view-order, .success_page .btn-new-order {
    border: unset;
    color: white;
    background-color: var(--color_1);
    font-size: 17px;
    width: 100%;
    padding: 13px;
}

.success_page .btn-new-order {
    margin-bottom: 15px;
}

.success_page .btn-view-order:hover, .success_page .btn-new-order:hover {
    background-color: black;
    color: var(--color_1);
}

.success_page .download-app {
    border-top: 1px solid #9E9E9E;
    margin-top: 15px;
    padding-top: 15px;
}

.success_page .download-app img {
    width: 100%;
}

@media (max-width: 992px) {
    [data-action-id="success"] .inner-container {
        padding-top: 0;
        padding-bottom: 0;
        margin-top: 0;
    }

    .success_page .title {
        font-size: 20px;
    }

    .success_page p {
        font-size: 15px !important;
    }

    .success_page .btn-view-order, .success_page .btn-new-order {
        font-size: 14px;
        padding: 10px;
    }
}

/** ./SUCCESS PAGE **/
